Bug 1051034 - NetworkManager does not correctly set to report logging level
Summary: NetworkManager does not correctly set to report logging level
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dan Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-09 15:25 UTC by Scott Shambarger
Modified: 2015-06-29 14:17 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 14:17:55 UTC
Type: Bug


Attachments (Terms of Use)
Patch to make log level maskable (338 bytes, patch)
2014-01-09 15:56 UTC, Scott Shambarger
no flags Details | Diff

Description Scott Shambarger 2014-01-09 15:25:07 UTC
Description of problem:
Setting logging to WARN still produces INFO messages, setting to INFO still reports level as WARN.

Version-Release number of selected component (if applicable):
NetworkManager-0.9.9.0-22.git20131003.fc20

How reproducible:
Always

Steps to Reproduce:
1. Set level to warn with "nmcli general logging level warn"
2. Produce behavior that logs info messages

Actual results:
Messages in logs such as:
Jan  9 07:17:02 host NetworkManager[16096]: <info>   lease time 233918   

Expected results:
No info messages.

Additional info:
The bug is caused by the log levels being defined as an enum, but used as a bitmask... so setting level WARN is the same as setting level INFO (both a 3).
Requesting the level (nmcli g logging) when at level INFO also returns WARN for this reason.

This appears to be fixed upstream when the logging was re-written to be set on a per-domain level.

Comment 1 Scott Shambarger 2014-01-09 15:56:47 UTC
Created attachment 847700 [details]
Patch to make log level maskable

Created a patch that renumbers log levels to correctly work with the masking system.

Tested and log levels can now be correctly set and queried.

Comment 2 Fedora End Of Life 2015-05-29 10:24:42 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2015-06-29 14:17:55 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.